SoVRMLIndexedLine(3)

NAME
SoVRMLIndexedLine - The SoVRMLIndexedLine class is an abstract superclass for lines specified with indices.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLIndexedLine.h>

Inherits SoVRMLVertexLine.

Inherited by SoVRMLIndexedLineSet.

  Public Member Functions
virtual SoType getTypeId (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoMFInt32 coordIndex
SoMFInt32 colorIndex

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual void computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)
int getNumVerts (int startCoord)
void setupIndices (int numFaces)
const int32_t * getColorIndices (void)
virtual void notify (SoNotList *list)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLIndexedLine class is an abstract superclass for lines specified with indices. This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Member Function Documentation

  SoType SoVRMLIndexedLine::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLIndexedLine::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLVertexLine.

Reimplemented in SoVRMLIndexedLineSet.

  const SoFieldData ** SoVRMLIndexedLine::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLIndexedLine::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLVertexLine.

Reimplemented in SoVRMLIndexedLineSet.

  void SoVRMLIndexedLine::initClass (void) [static]

  void SoVRMLIndexedLine::computeBBox (SoAction * action, SbBox3f & box, SbVec3f & center) [protected], [virtual]
Implemented by SoShape subclasses to let the SoShape superclass know the exact size and weighted center point of the shape's bounding box.

The bounding box and center point should be calculated and returned in the local coordinate system.

The method implements action behavior for shape nodes for SoGetBoundingBoxAction. It is invoked from SoShape::getBoundingBox(). (Subclasses should not override SoNode::getBoundingBox().)

The box parameter sent in is guaranteed to be an empty box, while center is undefined upon function entry.

Implements SoShape.

  void SoVRMLIndexedLine::notify (SoNotList * l) [protected], [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoVRMLVertexLine.

Reimplemented in SoVRMLIndexedLineSet.

Author

Generated automatically by Doxygen for Coin from the source code.